# class Cairo::TextCluster

### Public Class Methods

new(p1, p2) click to toggle source

    static VALUE
    cr_text_cluster_initialize (VALUE self, VALUE num_bytes, VALUE num_glyphs)
    {
      cairo_text_cluster_t *cluster;

      cluster = ALLOC (cairo_text_cluster_t);
      cluster->num_bytes = NUM2INT (num_bytes);
      cluster->num_glyphs = NUM2INT (num_glyphs);

      DATA_PTR (self) = cluster;
      return Qnil;
    }

### Public Instance Methods

num_bytes() click to toggle source

    static VALUE
    cr_text_cluster_num_bytes (VALUE self)
    {
      return INT2NUM (_SELF(self)->num_bytes);
    }

num_glyphs() click to toggle source

    static VALUE
    cr_text_cluster_num_glyphs (VALUE self)
    {
      return INT2NUM (_SELF(self)->num_glyphs);
    }

set_num_bytes(p1) click to toggle source

    static VALUE
    cr_text_cluster_set_num_bytes (VALUE self, VALUE num_bytes)
    {
      _SELF(self)->num_bytes = NUM2INT (num_bytes);
      return self;
    }

set_num_glyphs(p1) click to toggle source

    static VALUE
    cr_text_cluster_set_num_glyphs (VALUE self, VALUE num_glyphs)
    {
      _SELF(self)->num_glyphs = NUM2INT (num_glyphs);
      return self;
    }

to_s() click to toggle source

    static VALUE
    cr_text_cluster_to_s (VALUE self)
    {
      VALUE ret;

      ret = rb_str_new2 ("#<");
      rb_str_cat2 (ret, rb_class2name (CLASS_OF (self)));
      rb_str_cat2 (ret, ": ");
      rb_str_cat2 (ret, "num_bytes=");
      rb_str_concat (ret, rb_inspect (cr_text_cluster_num_bytes (self)));
      rb_str_cat2 (ret, ", ");
      rb_str_cat2 (ret, "num_glyphs=");
      rb_str_concat (ret, rb_inspect (cr_text_cluster_num_glyphs (self)));
      rb_str_cat2 (ret, ">");

      return ret;
    }